package com.ruoyi.rc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 会议对象 t_meeting
 * 
 * @author ruoyi
 * @date 2024-07-26
 */
public class TMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 涉及审计 */
    @Excel(name = "涉及审计")
    private Long auditId;

    private String auditName;

    /** 审计时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审计时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 涉及code */
    @Excel(name = "涉及code")
    private Long questionnaireId;

    /** 负责人 */
    @Excel(name = "负责人")
    private Long personInCharge;

    private String personInChargeName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private String deptId;

    /** 装置 */
    @Excel(name = "装置")
    private String deptName;

    /** 目录 */
    @Excel(name = "目录")
    private String directory;

    /** 序号 */
    @Excel(name = "序号")
    private Long code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 章节 */
    @Excel(name = "章节")
    private String chapName;

    /** 开项问题处理状态 */
    private String openItemStatus;

    public String getAuditName() {
        return auditName;
    }

    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getOpenItemStatus() {
        return openItemStatus;
    }

    public void setOpenItemStatus(String openItemStatus) {
        this.openItemStatus = openItemStatus;
    }
    public String getDirectory() {
        return directory;
    }

    public void setDirectory(String directory) {
        this.directory = directory;
    }

    public Long getCode() {
        return code;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getChapName() {
        return chapName;
    }

    public void setChapName(String chapName) {
        this.chapName = chapName;
    }

    public String getPersonInChargeName() {
        return personInChargeName;
    }

    public void setPersonInChargeName(String personInChargeName) {
        this.personInChargeName = personInChargeName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setQuestionnaireId(Long questionnaireId) 
    {
        this.questionnaireId = questionnaireId;
    }

    public Long getQuestionnaireId() 
    {
        return questionnaireId;
    }
    public void setPersonInCharge(Long personInCharge) 
    {
        this.personInCharge = personInCharge;
    }

    public Long getPersonInCharge() 
    {
        return personInCharge;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }

    public Long getAuditId() {
        return auditId;
    }

    public void setAuditId(Long auditId) {
        this.auditId = auditId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("questionnaireId", getQuestionnaireId())
            .append("personInCharge", getPersonInCharge())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
